import { z } from "zod";
import {
  Follow,
  Follow_,
  Message,
  Notification,
  UserProfile,
} from "../../../types/notifications";
import { User } from "../../../types/user";

export const simMessages: Message[] = [
  {
    id: "420",
    senderPic: "/420.jpg",
    sender: "Squidward",
    receiver: "SpongeBob",
    date: "2021-09-01",
    read: false,
    message: "yay",
  },
  {
    id: "200",
    senderPic: "/200.jpg",
    sender: "Mr.Krabs",
    receiver: "SpongeBob",
    date: "2021-09-09",
    read: false,
    message: "This is just a test, how does this thing work?",
  },
  {
    id: "120",
    senderPic: "/120.jpg",
    sender: "Sandy Cheeks",
    receiver: "SpongeBob",
    date: "2021-09-09",
    read: false,
    message: "Hey, just got Krabs on here. He seems pretty lost...lol",
  },
  {
    id: "899",
    senderPic: "/899.jpg",
    sender: "Mrs.Krabs",
    receiver: "SpongeBob",
    date: "2021-09-19",
    read: true,
    message: "I cant find my cs:go knife, do you have it?",
  },
];

export const simNotifications: Notification[] = [
  {
    id: "1",
    title: "moment, MOONMOON",
    date: "2021-09-01",
    read: false,
  },
  {
    id: "2",
    title: "twitch",
    date: "2021-09-01",
    read: false,
    description: "Loot cave Flash Sale! 40% off select hoodies.",
  },
  {
    id: "3",
    title: "subscription, MOONMOON",
    date: "2021-09-01",
    read: false,
    description:
      "Your Prime sub to MOONMOON has expired. Renew it to keep your sub streak alive!",
  },
  {
    id: "4",
    title: "moment, MOONMOON",
    date: "2021-09-01",
    read: false,
  },
  {
    id: "5",
    title: "twitch",
    date: "2021-09-01",
    read: false,
    description: "Loot cave Flash Sale! 40% off select hoodies.",
  },
  {
    id: "6",
    title: "subscription, MOONMOON",
    date: "2021-09-01",
    read: false,
    description:
      "Your Prime sub to MOONMOON has expired. Renew it to keep your sub streak alive!",
  },
];

export type DemoUsers = {
  name: string;
  email: string;
  image: string;
  id: string;
};
export const simUsers: DemoUsers[] = [
  {
    id: "10",
    name: "ElonMusk",
    image: "",
    email: "elonmusk@gmail.com",
  },
  {
    id: "20",
    name: "MoonMoon",
    image: "",
    email: "moonmoon@gmail.com",
  },
  {
    id: "30",
    name: "xqcOW",
    image: "",
    email: "xqc@.com",
  },
  {
    id: "40",
    name: "Shroud",
    image: "",
    email: "@shroud@gmail.com",
  },
  {
    id: "50",
    name: "KaiCenat",
    image: "",
    email: "@kaicenat@gmail.com",
  },
  {
    id: "60",
    name: "Quin69",
    image: "",
    email: "@quin69@gmail.com",
  },
  {
    id: "70",
    name: "WitWix",
    image: "",
    email: "@witwix@gmail.com",
  },
  {
    id: "80",
    name: "Hungrybox",
    image: "",
    email: "@hungrybox@gmail.com",
  },
  {
    id: "90",
    name: "Lirik",
    image: "",
    email: "@lirik@gmail.com",
  },
  {
    id: "100",
    name: "CohhCarnage",
    image: "",
    email: "@cohhcarnage@gmail.com",
  },
  {
    id: "101",
    name: "ThePrimeagen",
    image: "",
    email: "@theprimeagen@gmail.com",
  },
  {
    id: "102",
    name: "Theo",
    image: "",
    email: "@theo@gmail.com",
  },
  {
    id: "103",
    name: "moistcr1tikal",
    image: "",
    email: "@moist@gmail.com",
  },

  {
    id: "104",
    name: "A_Seagull",
    image: "",
    email: "@seagull@gmail.com",
  },
];
export const simFollowing: Follow[] = [
  {
    id: 1,
    name: "Squidward",
    pic: "/420.jpg",
    live: true,
    category: "Overwatch 2",
    viewers: 420,
  },
  {
    id: 2,
    name: "Mr.Krabs",
    pic: "/200.jpg",
    live: true,
    category: "Overwatch 2",
    viewers: 420,
  },
  {
    id: 3,
    name: "Sandy Cheeks",
    pic: "/120.jpg",
    live: true,
    category: "Overwatch 2",
    viewers: 420,
  },
  {
    id: 4,
    name: "Mrs.Krabs",
    pic: "/899.jpg",
    live: false,
    category: "Overwatch 2",
    viewers: 420,
  },
];

export const uploadFollowing: Follow_[] = [
  {
    id: "5",
    name: "Patrick Star",
    email: "patrickStar@gmail.com",
    image: "",
  },
  {
    id: "6",
    name: "Plankton",
    email: "plankton@gmail.com",
    image: "",
  },
  {
    id: "7",
    name: "Gary",
    email: "gary@gmail.com",
    image: "",
  },
  {
    id: "8",
    name: "Pearl Krabs",
    email: "pearlKrabs@gmail.com",
    image: "",
  },
];

export const simRecommended: Follow[] = [
  {
    id: 5,
    name: "Patrick Star",
    pic: "/patrickStar",
    live: true,
  },
  {
    id: 6,
    name: "Plankton",
    pic: "/plankton",
    live: true,
  },
  {
    id: 7,
    name: "Gary",
    pic: "/gary",
    live: true,
  },
  {
    id: 8,
    name: "Pearl Krabs",
    pic: "/pearlKrabs",
    live: true,
  },
];

export const profileSim = () => {
  const simUser: UserProfile = {
    name: "SpongeBob",
    email: "iFlipMeat@gmail.com",
    password: "password",
    notifications: simNotifications,
    messages: simMessages,
    following: simFollowing,
  };
  return simUser;
};
